package com.purui.prims.headless.core.executor;

import com.purui.prims.headless.core.pojo.QueryStatement;
import com.purui.prims.headless.api.pojo.response.SemanticQueryResp;

/**
 * customize various query media ( like duckDb redis) to improved query performance
 * check ok and query successful , return SemanticQueryResp to interface immediately
 */
public interface QueryAccelerator {

    boolean reload();

    boolean check(QueryStatement queryStatement);

    SemanticQueryResp query(QueryStatement queryStatement);
}
